## AgsSeekable

AgsSeekable — unique access to seekable classes

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_seekable_seek ()

## Signals

void | seek | Run Last

## Types and Values

enum | AgsSeekType

## Object Hierarchy

        GEnum
        ╰── AgsSeekType
        GInterface
        ╰── AgsSeekable

## Includes

    #include <ags/object/ags_seekable.h>

## Description

The AgsSeekable interface gives you the AgsSeekable::`seek()` signal what notifies about changed offset of pattern or notation.

## Functions

### ags_seekable_seek ()

    void
    ags_seekable_seek (AgsSeekable *seekable,
                       gint64 offset,
                       guint whence);

Seek.

#### Parameters

seekable | the AgsSeekable interface |
offset | the offset |
whence | the direction, see AgsSeekType |

Since: 3.0.0

## Types and Values

### enum AgsSeekType

Seek type.

#### Members

AGS_SEEK_CUR | seek from current position |
AGS_SEEK_SET | seek by setting absolute position |
AGS_SEEK_END | seek from end |

## Signal Details

### The `“seek”` signal

    void
    user_function (AgsSeekable *seekable,
                   gint64       offset,
                   guint        whence,
                   gpointer     user_data)

The ::seek signal notifies about changed position of sequencer.

#### Parameters

seekable | the GObject sub-type implementing AgsSeekable |
offset | the offset |
whence | the direction, see AgsSeekType |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0